Package io.vertx.ext.auth.hashing

## Class HashString

- java.lang.Object
- - io.vertx.ext.auth.hashing.HashString

-     public final class HashString
      extends Object

  Utility class to encode/decode hashed strings to be stored on a persistent storage.

  This follows as close as possible the phc sf spec.

  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HashString​(String encoded)` |
    `HashString​(String id, Map<String,​String> params, String salt)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `encode​(HashingAlgorithm algorithm, Map<String,​String> params, String salt, String hash)` |
    `String` | `hash()` |
    `String` | `id()` |
    `String` | `param​(String param)` |
    `Map<String,​String>` | `params()` |
    `String` | `salt()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HashString

          public HashString​(String id,
                            Map<String,​String> params,
                            String salt)

    - #### HashString

          public HashString​(String encoded)

  - ### Method Detail

    - #### id

          public String id()

    - #### param

          public String param​(String param)

    - #### params

          public Map<String,​String> params()

    - #### salt

          public String salt()

    - #### hash

          public String hash()

    - #### encode

          public static String encode​(HashingAlgorithm algorithm,
                                      Map<String,​String> params,
                                      String salt,
                                      String hash)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`